using System;

internal sealed class Delegate159 : MulticastDelegate
{
	public extern double Invoke(object object_0);

	public static double smethod_0(object object_0, Delegate159 delegate159_1)
	{
		return delegate159_1(object_0);
	}

	public extern Delegate159(object object_0, IntPtr intptr_0);

	static Delegate159()
	{
		Class10.smethod_13(typeof(Delegate159).TypeHandle);
	}

	internal static Delegate159 delegate159_0;
}
